Package ru.bitel.bgbilling.modules.megogo.common.bean

# Class MegogoContractSubRequestLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.megogo.common.bean.MegogoContractSubRequestLog

All Implemented Interfaces:
  `Serializable`, `Idable`

public class MegogoContractSubRequestLog extends Id
Лог запроса к Megogo.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Integer`
  `MEGOGO_REQUEST_RESULT_ERROR`
  Отвергнут Megogo
  `static final Integer`
  `MEGOGO_REQUEST_RESULT_RUNTIME_ERROR`
  Отвергнут Megogo
  `static final Integer`
  `MEGOGO_REQUEST_RESULT_SUCCESSFUL`
  Успешный ответ
  `static final Integer`
  `MEGOGO_REQUEST_TYPE_CHANGE_CREDENTIALS`
  Установка логина и пароля
  `static final Integer`
  `MEGOGO_REQUEST_TYPE_CREATE_USER`
  Создание пользователя на стороне Megogo
  `static final Integer`
  `MEGOGO_REQUEST_TYPE_RESUME`
  `static final Integer`
  `MEGOGO_REQUEST_TYPE_SUBSCRIBE`
  `static final Integer`
  `MEGOGO_REQUEST_TYPE_SUSPEND`
  `static final Integer`
  `MEGOGO_REQUEST_TYPE_UNSUBSCRIBE`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoContractSubRequestLog()`
  `MegogoContractSubRequestLog(int contractId, int sid, int type, Date date, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAnswerResult()`
  `String`
  `getAnswerResultText()`
  `int`
  `getContractId()`
  `int`
  `getContractSubId()`
  `Date`
  `getDate()`
  `String`
  `getErrorMessage()`
  `int`
  `getSid()`
  `int`
  `getType()`
  `String`
  `getTypeText()`
  `int`
  `getUserId()`
  `void`
  `setAnswerResult(int answerResult)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractSubId(int contractSubId)`
  `void`
  `setDate(Date date)`
  `void`
  `setErrorMessage(String errorMessage)`
  `void`
  `setSid(int sid)`
  `void`
  `setType(int type)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MEGOGO_REQUEST_TYPE_SUBSCRIBE

    public static final Integer MEGOGO_REQUEST_TYPE_SUBSCRIBE

  - ### MEGOGO_REQUEST_TYPE_UNSUBSCRIBE

    public static final Integer MEGOGO_REQUEST_TYPE_UNSUBSCRIBE

  - ### MEGOGO_REQUEST_TYPE_SUSPEND

    public static final Integer MEGOGO_REQUEST_TYPE_SUSPEND

  - ### MEGOGO_REQUEST_TYPE_RESUME

    public static final Integer MEGOGO_REQUEST_TYPE_RESUME

  - ### MEGOGO_REQUEST_TYPE_CHANGE_CREDENTIALS

    public static final Integer MEGOGO_REQUEST_TYPE_CHANGE_CREDENTIALS
    Установка логина и пароля

  - ### MEGOGO_REQUEST_TYPE_CREATE_USER

    public static final Integer MEGOGO_REQUEST_TYPE_CREATE_USER
    Создание пользователя на стороне Megogo

  - ### MEGOGO_REQUEST_RESULT_SUCCESSFUL

    public static final Integer MEGOGO_REQUEST_RESULT_SUCCESSFUL
    Успешный ответ

  - ### MEGOGO_REQUEST_RESULT_ERROR

    public static final Integer MEGOGO_REQUEST_RESULT_ERROR
    Отвергнут Megogo

  - ### MEGOGO_REQUEST_RESULT_RUNTIME_ERROR

    public static final Integer MEGOGO_REQUEST_RESULT_RUNTIME_ERROR
    Отвергнут Megogo

- ## Constructor Details

  - ### MegogoContractSubRequestLog

    public MegogoContractSubRequestLog()

  - ### MegogoContractSubRequestLog

    public MegogoContractSubRequestLog(int contractId, int sid, int type, Date date, int userId)
    Parameters:
      `contractId` - - код договора
      `sid` - - код услуги/подписки
      `type` - - тип запроса
      `date` - - время запроса
      `userId` - - код пользователя

- ## Method Details

  - ### getTypeText

    public String getTypeText()

  - ### getAnswerResultText

    public String getAnswerResultText()

  - ### getContractSubId

    public int getContractSubId()

  - ### setContractSubId

    public void setContractSubId(int contractSubId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getSid

    public int getSid()

  - ### setSid

    public void setSid(int sid)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getAnswerResult

    public int getAnswerResult()

  - ### setAnswerResult

    public void setAnswerResult(int answerResult)

  - ### getErrorMessage

    public String getErrorMessage()

  - ### setErrorMessage

    public void setErrorMessage(String errorMessage)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)